{
  "name": "wpa/productivity_report/time_period.json",
  "database": "4d",
  "parameter": {
    "start_date": "",
    "end_date": "",
    "load_group":""
  },
  "query": [
    [
      "wpa_date_",
      ">=",
      "start_date"
    ],
    "and",
    [
      "wpa_date_",
      "<=",
      "end_date"
    ],
    "and",
    [
      "wpa_work_load_group_id",
      "in",
      "load_group"
    ],
    "and",
    "amount_not_zero"
  ],
  "set": {
    "amount_not_zero": [
      [
        "wpa_produced_amount",
        "<>",
        0
      ],
      "or",
      [
        "wpa_produced_amount",
        "<>",
        0
      ]
    ]
  },
  "field": [
    "wpa_work_load_group_id",
    "wpa_produced_amount",
    "wpa_failed_amount",
    "wpa_date_",
    "wpa_end_time",
    "wpa_shift_number"
  ]
}
